Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezxmlrpcstring.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezxmlrpcstring.php 2835 2001-01-25 09:23:53Z bf $
5 //
6 // Definition of eZXMLRPCString class
7 //
8 // B�rd Farstad <bf@ez.no>
9 // Created on: <16-Dec-2000 12:04:35 bf>
10 //
11 // This source file is part of Exponential Basic, publishing software.
12 // Copyright (C) 1999-2000 eZ systems as
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29
32
36 class eZXMLRPCString
37 {
41 function __construct( $value="" )
42 {
43 $this->Value = $value;
44 }
45
49 function &serialize( )
50 {
51 $ret = "<value>";
52 $ret .= "<string>";
53 $ret .= $this->encode( $this->Value );
54 $ret .= "</string>";
55 $ret .= "</value>";
56
57 return $ret;
58 }
59
63 function value()
64 {
65 return $this->Value;
66 }
67
71 function &encode( $string )
72 {
73 $string =& ereg_replace ( "&", "&amp;", $string );
74 $string =& ereg_replace ( "<", "&lt;", $string );
75 $string =& ereg_replace ( ">", "&gt;", $string );
76
77 return $string;
78 }
79
83 function decode( $string )
84 {
85 $string =& ereg_replace ( "&amp;", "&", $string );
86 $string =& ereg_replace ( "&lt;", "<", $string );
87 $string =& ereg_replace ( "&gt;", ">", $string );
88
89 $this->Value =& $string;
90 }
91
92 // The string value
93 var $Value;
94 }
95
96 ?>
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCString\value
value()
Definition: ezxmlrpcstring.php:63
eZXMLRPCString\$Value
$Value
Definition: ezxmlrpcstring.php:93
eZXMLRPCString\decode
decode( $string)
Definition: ezxmlrpcstring.php:83
eZXMLRPCString\serialize
& serialize()
Definition: ezxmlrpcstring.php:49
eZXMLRPCString\__construct
__construct( $value="")
Definition: ezxmlrpcstring.php:41
eZXMLRPCString\encode
& encode( $string)
Definition: ezxmlrpcstring.php:71
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.